<?php

use Illuminate\Support\Facades\Route;

// 小程序授权
Route::post('auth', 'Syj\UserController@auth');
// 用户信息/修改
Route::get('user', 'Syj\UserController@user');
Route::put('user', 'Syj\UserController@updateUser');

Route::get('group', 'Syj\GroupController@show');


// 玩法一
Route::post('game/draws', 'Syj\GameController@drawLeft');
Route::put('game/draws/{uuid}', 'Syj\GameController@drawRight');
Route::get('game/draws/{uuid}', 'Syj\GameController@getPhoto');

// 玩法二
Route::get('game/questions/random', 'Syj\GameController@getRandomQuestion');
Route::get('game/questions', 'Syj\GameController@getQuestion');
Route::post('game/answers', 'Syj\GameController@createAnswers');
Route::put('game/answers/{uuid}', 'Syj\GameController@updateAnswers');
Route::get('game/answers/{uuid}', 'Syj\GameController@getAnswers');


Route::post('game/locations', 'Syj\GameController@createLocation');
Route::put('game/locations/{uuid}', 'Syj\GameController@updateLocation');
Route::get('game/locations/{uuid}', 'Syj\GameController@getLocation');
